
Name:		emprint
Version:	0.1.0
Release:	10%{?dist}
Summary:	Emprint is a utility for taking screenshots using EFL

Group:		User Interface/X
License:	BSD
URL:		http://www.enlightenment.org/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xorg-x11-proto-devel, libICE-devel, imlib2-devel
BuildRequires:	ecore-devel, evas-devel, edje-devel, curl-devel
BuildRequires:	embryo-devel, eet-devel, SDL-devel, libXcursor-devel
BuildRequires:	libXdamage-devel, libXcomposite-devel, libXinerama-devel
BuildRequires:	libXp-devel, libXScrnSaver-devel, libjpeg-devel
BuildRequires:	fontconfig-devel, openssl-devel, libeina-devel
BuildRequires:	gnutls-devel, libXtst-devel
#Requires:	

%description 
Emprint is a utility for taking screenshots of the entire screen, a 
specific window, or a specific region. It is written with the 
Enlightenment Foundation Libraries (http://www.enlightnement.org). It 
depends on a large number of libraries that are only available in CVS at 
the moment.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING INSTALL NEWS README TODO ChangeLog
%{_bindir}/emprint
%{_datadir}/emprint/*

%changelog
* Mon Dec 07 2009 Chelban Vasile <vchelban@fedoramd.org> 0.0.1-10
- bump for rebuild

* Sat Mar 14 2009 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.1-20090314
- SVN Update

* Sun Mar 1 2009 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.1-20090301
- Fixed BuildRequires based upon mock for F10
- CVS Update

* Thu Jul 17 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.1-20080717
- CVS Update

* Wed May 28 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.1-20080528
- CVS Update

* Sun Apr 27 2008 Chelban Vasile <vchelban@fedoramd.org> 0.0.1-8.20080405cvs.prof_k
- BuildRequires: openssl-devel

* Sat Apr 5 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.1-20080405
- CVS Update

* Sun Mar 30 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.1-20080330
- CVS Update

* Mon Feb 25 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.1-2008.02.25
- CVS Update

* Mon Feb 11 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.1-2008.02.11
- CVS Update

* Mon Feb 4 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.1-2008.02.04
- CVS Update

* Sun Jan 20 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.0.1-2008.01.20
- New enlightenment application (e_modules-screenshot requires emprint)
- Fixed spec file (BuildRequires) based upon mock
- CVS Update
